/*
 * xmessage - an X message display program.
 *
 * $Header: /home/jsellens/src/misc/xmsg-1.1/RCS/globals.c,v 1.2 1994/04/13 16:28:52 r2lee Exp $
 *
 * Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Author:    Chris D. Peterson, MIT Project Athena
 * Created:   October 12, 1988
 */

#if ( !defined(lint) && !defined(SABER))
  static char rcs_version[] = "$Athena: globals.c,v 1.1 88/10/20 14:44:43 kit Locked $";
#endif

#include <stdio.h>
#include "xmessage.h"
#include <X11/Intrinsic.h>

int nmessage;			/* Number of items in the message list. */
char ** message = NULL;		/* The message to show. */

ButtonEntry * button_list = NULL; /* List of buttons to add. */

Boolean use_stdin = TRUE;	/* Read message from stdin? */

#ifndef R5_XLIB
Boolean print_label;		/* If true then print label of button pressed
				   on exit. */

Boolean scroll;			/* Whether or not to use a scrollbar. */
#endif

char * program_name;		/* Name of this program (argv[0]). */
