/*
 * xmessage - an X message display program.
 *
 * $Header: /home/jsellens/src/misc/xmsg-1.1/RCS/xmessage.h,v 1.2 2006/12/17 04:19:28 jsellens Exp jsellens $
 * $Athena: xmessage.h,v 1.1 88/10/20 14:44:51 kit Locked $
 *
 * Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Author:    Chris D. Peterson, MIT Project Athena
 * Created:   October 15, 1988
 */

#ifndef _xmessage_h_
#define _xmessage_h_

/* function declarations. */

#include <unistd.h>
void *malloc(), *realloc();
void exit();
void PrintWarning(), PrintError();

/* Structure defintions. */

typedef struct _ButtonEntry {
  struct _ButtonEntry * next;	/* Next element in the linked list. */
  int number;			/* The number of this button. */
  char * name;			/* The name of this button. */
} ButtonEntry;


#endif /* _xmessage_h_ */	/* Don't add anything after this line. */
